<?php
require'fun.php';
require'f_admin.php';
$titlu='Adaugă cuvânt anagrame';
$back[1]='<a href="/admin-cuvinte-anagrame">'.img('administrare.png',1).'Cuvinte Anagrame</a>';
$back[2]='<a href="/admin-adauga-cuvinte-anagrame">'.img('administrare.png',1).'Adaugă cuvinte Anagrame</a>';
require'f_sus.php';
$cuvant=$_POST['cuvant']??'';
$cid=$_POST['cid']??'';
if($cuvant=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat cuvântul!';
elseif($conn->query('SELECT COUNT(*)FROM`anagrame_categorii`WHERE`id`="'.$cid.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o categorie existentă în baza de date!';
elseif($conn->query('INSERT INTO`anagrame_cuvinte`SET`cuvant`="'.$cuvant.'",`cid`="'.$cid.'",`valid`="'.$de.'",`de`="'.$de.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Cuvinte Anagrame",`de`="'.$de.'",`text`="a adăugat la Anagrame cuvântul [b]'.$cuvant.'[/b], în categoria [b]'.$conn->query('SELECT`nume`FROM`anagrame_cuvinte`WHERE`id`="'.$cid.'"')->fetch_row()[0].'[/b]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Cuvântul <strong>'.$cuvant.'</strong> a fost adaugat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0];
require'f_jos.php';